ReferenceMCP servers
Add a platform MCP server and read its tools (platform admins)
POST
Headers (for example Authorization) are stored encrypted and never returned. A server that cannot be reached is still added; toolsError says why.
application/json- body
name*stringLength
length <= 100slug?stringDefault from the name; cannot change later
Match
^[a-z0-9](?:[a-z0-9_]{0,30}[a-z0-9])?$description?stringLength
length <= 2000url*stringThe server's Streamable HTTP endpoint
Length
length <= 2048headers?accessMode?stringValue in
"proxy""direct"visibility?stringValue in
"all""teams"personal?booleanAvailable in personal workspaces (when created, defaults to visibility = all)
teams?array<string>enabled?booleanCreated server
application/json- response
data*curl -X POST 'https://agents.example.com/v1/admin/mcp-servers' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "url": "string"}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string", "description": "string", "url": "string", "accessMode": "proxy", "enabled": true, "visibility": "all", "personal": true, "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string" } ], "hasHeaders": true, "tools": [ { "name": "string", "title": "string", "description": "string" } ], "toolsRefreshedAt": "2019-08-24T14:15:22Z", "toolsError": "string", "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "kind": "team" }, "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}